curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas/{conversationId}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'{
"comments": [
{
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"mentions": [
{
"mentionableGroup": {
"groupName": "<string>",
"groupReference": {
"uid": "<string>"
}
},
"tag": "<string>",
"uidReference": {
"uid": "<string>"
},
"userReferences": [
{
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
}
]
}
],
"text": "<string>"
}
],
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateEdited": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"deleted": true,
"id": "<string>",
"lqaDescription": "<string>",
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN",
"originator": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"user": {
"id": "<string>"
}
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
},
"jobPartUid": "<string>",
"taskId": "<string>"
},
"status": {
"by": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"date": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}Add LQA comment
Deprecated: use POST /api2/v2/jobs//conversations/lqas//comments (addLQACommentV2) instead. This v1 endpoint returns only the conversation, whereas v2 returns a result wrapper containing the new comment id. Available to internal, guest and linguist users; project managers require the EDIT right on the job, other roles require SHOW, and guests must also match the project client and have the right to view other users’ projects.
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas/{conversationId}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'{
"comments": [
{
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"mentions": [
{
"mentionableGroup": {
"groupName": "<string>",
"groupReference": {
"uid": "<string>"
}
},
"tag": "<string>",
"uidReference": {
"uid": "<string>"
},
"userReferences": [
{
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
}
]
}
],
"text": "<string>"
}
],
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateEdited": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"deleted": true,
"id": "<string>",
"lqaDescription": "<string>",
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN",
"originator": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"user": {
"id": "<string>"
}
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
},
"jobPartUid": "<string>",
"taskId": "<string>"
},
"status": {
"by": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"date": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the job
ID of the LQA conversation
Body
Add comment request body
Response
Created
List of comments in the conversation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date the conversation was created
Date the conversation was last edited by a user
Date the conversation was last modified
Whether the conversation has been deleted
Unique identifier of the conversation
Description of the LQA issue
Show child attributes
Show child attributes
Show child attributes
Show child attributes
LQA
Was this page helpful?